Subject: Re: [PATCH v3] tracking branches: add advice to ambiguous refspec error

From: Junio C Hamano <[email-masked]>
Date: Mon, 28 Mar 2022 13:32:32 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> But as to not penalizing those who don't have the advice enabled,
> something like this (untested)?:

Unconditionally computing what you need only in the error path is
the primary sin in the patch, and that should be addressed first.

If we need to do new things (like adding the do_advice member), it
becomes questionable if it is worth doing.  In this case, I think
the update is simple enough and the control flow makes it clear what
is and what isn't needed only for advice-message generation, so it
might be an overall win.

Thanks.